<?php

/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

use Kufer\Admin\Classes\Settings\Helper\Tools\LinkHelper;

$sortId = 2;
$toolId = \ToolsAPI::TOOL_KURSPLANUNG_DOZ;

$settingsArray = array();

$settingsArray[] = LinkHelper::createHardlinkSettingItemToWssField(10, $toolId);

$setting = new Setting();
$setting->name = 'kurstageproseite';
$setting->description = 'Angezeigte Kurstage pro Seite';
$setting->subGroup = 'Einstellungen für die Anzeige der Kurstage zum Tool Kursplanung Dozenten';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_INPUTNUMERIC);
$setting->config->size = 4;
$setting->config->maxLength = 4;
$setting->config->allowNegative = false;
$setting->config->HasIncrDecr = true;
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'ktstatus';
$setting->description = 'Einschränkung der Kurstage auf deren Status';
$setting->help = 'Wenn kein Status angegeben ist, werden alle Kurstage ohne Berücksichtigung ihrer Status angezeigt.';
$setting->subGroup = 'Einstellungen für die Anzeige der Kurstage zum Tool Kursplanung Dozenten';
$setting->toolId = $toolId;
$setting->config->separator = '';

$displayAry = ConstantOperations::getKurstagStatus4EinschraenkungAufKTStatus();
$statusAry = array_keys($displayAry);

if (!function_exists('statusPrefix')) {
  function statusPrefix(&$value, $key)
  {
    $value = "Status <b>$value</b>";
  }
}
array_walk($displayAry, 'statusPrefix');


$setting->config->loadConfiguration(SC_MULTISELECT);
$setting->config->items = $displayAry;
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'sortktasc';
$setting->description = 'Sortierung der Termine nach Datum';
$setting->subGroup = 'Einstellungen für die Anzeige der Kurstage zum Tool Kursplanung Dozenten';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_RADIO);
$setting->config->items = array(
    'nrauf' => 'aufsteigend',
    'nrab' => 'absteigend'
);
array_push($settingsArray, $setting);


$setting = new Setting();
$setting->name = 'kurstageUebersichtAlsTabelle';
$setting->description = 'Stelle Kurstage als Tabelle statt Panels dar';
$setting->help = '';
$setting->subGroup = 'Einstellungen für die Anzeige der Kurstage zum Tool Kursplanung Dozenten';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);